Package org.apache.sysds.runtime.io.cog

# Class COGProperties

java.lang.Object
org.apache.sysds.runtime.io.cog.COGProperties

public class COGProperties extends Object
Properties of a COG file that are useful for reading the file.

## Constructor Summary

Constructors
Constructor
Description
`COGProperties()`
`COGProperties(IFDTag[] ifdTags)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBands()`
`int[]`
`getBitsPerSample()`
`int[]`
`getBytesPerTile()`
`int`
`getCols()`
`int`
`getCompression()`
`int`
`getPlanarConfiguration()`
`int`
`getRows()`
`SampleFormatDataTypes[]`
`getSampleFormat()`
`int`
`getTileLength()`
`int[]`
`getTileOffsets()`
`int`
`getTileWidth()`
`void`
`initFromIFDTags(IFDTag[] ifdTags)`
`void`
`setBands(int bands)`
`void`
`setBitsPerSample(int[] bitsPerSample)`
`void`
`setBytesPerTile(int[] bytesPerTile)`
`void`
`setCols(int cols)`
`void`
`setCompression(int compression)`
`void`
`setPlanarConfiguration(int planarConfiguration)`
`void`
`setRows(int rows)`
`void`
`setSampleFormat(SampleFormatDataTypes[] sampleFormat)`
`void`
`setTileLength(int tileLength)`
`void`
`setTileOffsets(int[] tileOffsets)`
`void`
`setTileWidth(int tileWidth)`
`boolean`
`tilesFullySequential()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### COGProperties

public COGProperties()

### COGProperties

public COGProperties(IFDTag[] ifdTags)

## Method Details

### getRows

public int getRows()

### setRows

public void setRows(int rows)

### getCols

public int getCols()

### setCols

public void setCols(int cols)

### getBands

public int getBands()

### setBands

public void setBands(int bands)

### getBitsPerSample

public int[] getBitsPerSample()

### setBitsPerSample

public void setBitsPerSample(int[] bitsPerSample)

### getSampleFormat

public SampleFormatDataTypes[] getSampleFormat()

### setSampleFormat

public void setSampleFormat(SampleFormatDataTypes[] sampleFormat)

### getPlanarConfiguration

public int getPlanarConfiguration()

### setPlanarConfiguration

public void setPlanarConfiguration(int planarConfiguration)

### getTileWidth

public int getTileWidth()

### setTileWidth

public void setTileWidth(int tileWidth)

### getTileLength

public int getTileLength()

### setTileLength

public void setTileLength(int tileLength)

### getTileOffsets

public int[] getTileOffsets()

### setTileOffsets

public void setTileOffsets(int[] tileOffsets)

### getBytesPerTile

public int[] getBytesPerTile()

### setBytesPerTile

public void setBytesPerTile(int[] bytesPerTile)

### getCompression

public int getCompression()

### setCompression

public void setCompression(int compression)

### initFromIFDTags

public void initFromIFDTags(IFDTag[] ifdTags)

### tilesFullySequential

public boolean tilesFullySequential()